package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "v_rs_rlzy_zyssq")
public class ZyssqPO {
    @TableId(value = "rs_rlzy_zyssq_lsh", type = IdType.ASSIGN_UUID)
    private String rsrlzyzyssqlsh;//职业搜索器流水号
    @TableField("rs_yhlsh")
    private String rsyhlsh;//用户流水号
    @TableField("ssqmc")
    private String ssqmc;//搜索器名称
    @TableField("gzdq")
    private String gzdq;//工作地区
    @TableField("gzlb")
    private String gzlb;//工作类别
    @TableField("hylb")
    private String hylb;//行业类别
    @TableField("dwlb")
    private String dwlb;//单位类别
    @TableField("jjlb")
    private String jjlb;//经济类别
    @TableField("xlyq")
    private String xlyq;//学历要求
    @TableField("gznx")
    private String gznx;//工作年限
    @TableField("zdqwxz")
    private String zdqwxz;//最低期望薪资
    @TableField("zgqwxz")
    private String zgqwxz;//最高期望薪资
    @TableField("fbrq")
    private String fbrq;//发布日期
    @TableField("sjhm")
    private String sjhm;//手机号码
    @TableField("fszq")
    private String fszq;//发送周期
    @TableField("fszws")
    private String fszws;//发送职位数
    @TableField("sfzndy")
    private String sfzndy;//是否站内订阅
    @TableField("sfsjdy")
    private String sfsjdy;//是否手机订阅
    @TableField("ts_yxbz")
    private String tsyxbz;//是否有效
    @TableField("ts_cjr")
    private String tscjr;//创建人
    @TableField("ts_cjsj")
    private String tscjsj;//创建时间
    @TableField("ts_xgr")
    private String tsxgr;//修改人
    @TableField("ts_xgsj")
    private String tsxgsj;//修改时间
    @TableField(exist = false)
    private String yhlsh; //用户流水号
    @TableField(exist = false)
    private String xm;//姓名
    @TableField(exist = false)
    private String sex;//性别
    @TableField("dsqzxsj")
    private String dsqzxsj;

    @TableField(exist = false)
    private String ishmd;//定时器执行判断条件

    @TableField(exist = false)
    private String zpdq;//定时器执行判断条件

    public String getZpdq() {
        return zpdq;
    }

    public void setZpdq(String zpdq) {
        this.zpdq = zpdq;
    }

    public String getIshmd() {
        return ishmd;
    }

    public void setIshmd(String ishmd) {
        this.ishmd = ishmd;
    }

    public String getDsqzxsj() {
        return dsqzxsj;
    }

    public void setDsqzxsj(String dsqzxsj) {
        this.dsqzxsj = dsqzxsj;
    }

    public String getYhlsh() {
        return yhlsh;
    }

    public void setYhlsh(String yhlsh) {
        this.yhlsh = yhlsh;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getSfzndy() {
        return sfzndy;
    }

    public void setSfzndy(String sfzndy) {
        this.sfzndy = sfzndy;
    }

    public String getSfsjdy() {
        return sfsjdy;
    }

    public void setSfsjdy(String sfsjdy) {
        this.sfsjdy = sfsjdy;
    }

    public String getRsrlzyzyssqlsh() {
        return rsrlzyzyssqlsh;
    }

    public void setRsrlzyzyssqlsh(String rsrlzyzyssqlsh) {
        this.rsrlzyzyssqlsh = rsrlzyzyssqlsh;
    }

    public String getRsyhlsh() {
        return rsyhlsh;
    }

    public void setRsyhlsh(String rsyhlsh) {
        this.rsyhlsh = rsyhlsh;
    }

    public String getSsqmc() {
        return ssqmc;
    }

    public void setSsqmc(String ssqmc) {
        this.ssqmc = ssqmc;
    }

    public String getGzdq() {
        return gzdq;
    }

    public void setGzdq(String gzdq) {
        this.gzdq = gzdq;
    }

    public String getGzlb() {
        return gzlb;
    }

    public void setGzlb(String gzlb) {
        this.gzlb = gzlb;
    }

    public String getHylb() {
        return hylb;
    }

    public void setHylb(String hylb) {
        this.hylb = hylb;
    }

    public String getDwlb() {
        return dwlb;
    }

    public void setDwlb(String dwlb) {
        this.dwlb = dwlb;
    }

    public String getJjlb() {
        return jjlb;
    }

    public void setJjlb(String jjlb) {
        this.jjlb = jjlb;
    }

    public String getXlyq() {
        return xlyq;
    }

    public void setXlyq(String xlyq) {
        this.xlyq = xlyq;
    }

    public String getGznx() {
        return gznx;
    }

    public void setGznx(String gznx) {
        this.gznx = gznx;
    }

    public String getZdqwxz() {
        return zdqwxz;
    }

    public void setZdqwxz(String zdqwxz) {
        this.zdqwxz = zdqwxz;
    }

    public String getZgqwxz() {
        return zgqwxz;
    }

    public void setZgqwxz(String zgqwxz) {
        this.zgqwxz = zgqwxz;
    }

    public String getFbrq() {
        return fbrq;
    }

    public void setFbrq(String fbrq) {
        this.fbrq = fbrq;
    }

    public String getSjhm() {
        return sjhm;
    }

    public void setSjhm(String sjhm) {
        this.sjhm = sjhm;
    }

    public String getFszq() {
        return fszq;
    }

    public void setFszq(String fszq) {
        this.fszq = fszq;
    }

    public String getFszws() {
        return fszws;
    }

    public void setFszws(String fszws) {
        this.fszws = fszws;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

}


